Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.soap
Interface SOAPHeaderElement

All Superinterfaces:
  Node, SOAPElement

All Known Implementing Classes:
  SOAPHeaderElement

public interface SOAPHeaderElement
extends SOAPElement

An object representing the contents in the SOAP header part of the SOAP envelope. The immediate children of a `SOAPHeader` object can be represented only as `SOAPHeaderElement` objects.

A `SOAPHeaderElement` object can have other `SOAPElement` objects as its children.

Method Summary
`java.lang.String` | `getActor()` Returns the uri of the actor associated with this `SOAPHeaderElement` object.
`boolean` | `getMustUnderstand()` Returns whether the mustUnderstand attribute for this `SOAPHeaderElement` object is turned on.
`void` | `setActor(java.lang.String actorURI)` Sets the actor associated with this `SOAPHeaderElement` object to the specified actor.
`void` | `setMustUnderstand(boolean mustUnderstand)` Sets the mustUnderstand attribute for this `SOAPHeaderElement` object to be on or off.

Methods inherited from interface javax.xml.soap.SOAPElement
`addAttribute, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addNamespaceDeclaration, addTextNode, getAllAttributes, getAttributeValue, getChildElements, getChildElements, getElementName, getEncodingStyle, getNamespacePrefixes, getNamespaceURI, removeAttribute, removeNamespaceDeclaration, setEncodingStyle`

Methods inherited from interface javax.xml.soap.Node
`detachNode, getParentElement, getValue, recycleNode, setParentElement`

Method Detail

### setActor

    public void setActor(java.lang.String actorURI)

  Sets the actor associated with this `SOAPHeaderElement` object to the specified actor. The default value of an actor is: `SOAPConstants.URI_SOAP_ACTOR_NEXT`
  Parameters:
    `actorURI` - a `String` giving the URI of the actor to set
  Throws:
    `java.lang.IllegalArgumentException` - if there is a problem in setting the actor.
  See Also:
    `getActor()`

### getActor

    public java.lang.String getActor()

  Returns the uri of the actor associated with this `SOAPHeaderElement` object.
  Returns:
    a `String` giving the URI of the actor
  See Also:
    `setActor(java.lang.String)`

### setMustUnderstand

    public void setMustUnderstand(boolean mustUnderstand)

  Sets the mustUnderstand attribute for this `SOAPHeaderElement` object to be on or off.

  If the mustUnderstand attribute is on, the actor who receives the `SOAPHeaderElement` must process it correctly. This ensures, for example, that if the `SOAPHeaderElement` object modifies the message, that the message is being modified correctly.

  Parameters:
    `mustUnderstand` - `true` to set the mustUnderstand attribute on; `false` to turn if off
  Throws:
    `java.lang.IllegalArgumentException` - if there is a problem in setting the actor.
  See Also:
    `getMustUnderstand()`

### getMustUnderstand

    public boolean getMustUnderstand()

  Returns whether the mustUnderstand attribute for this `SOAPHeaderElement` object is turned on.
  Returns:
    `true` if the mustUnderstand attribute of this `SOAPHeaderElement` object is turned on; `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.